Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::SerializableVectorType< VT, openParen > Class Template Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::SerializableVectorType< VT, openParen >:
[legend]
Collaboration diagram for tlp::SerializableVectorType< VT, openParen >:
[legend]

List of all members.

## Static Public Member Functions

- static void write (std::ostream &oss, const typename TypeInterface< std::vector< VT > >::RealType &v)
- static bool read (std::istream &iss, typename TypeInterface< std::vector< VT > >::RealType &v)

### template<typename VT, int openParen>
class tlp::SerializableVectorType< VT, openParen >

## Member Function Documentation

template<typename VT, int openParen>

static bool tlp::SerializableVectorType< VT, openParen >::read | ( | std::istream & | iss,
|  | typename TypeInterface< std::vector< VT > >::RealType & | v
| ) |  | `[inline, static]`

template<typename VT, int openParen>

static void tlp::SerializableVectorType< VT, openParen >::write | ( | std::ostream & | oss,
|  | const typename TypeInterface< std::vector< VT > >::RealType & | v
| ) |  | `[inline, static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012